package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 化学品信息对象 hxp_chemical
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品信息")
public class HxpChemicalByExcel {
    private static final long serialVersionUID = 1L;


    @Excel(name = "化学品名称",sort = 1, isRequired=true)
    @ApiModelProperty(value = "化学品名字")
    private String chemicalName;

    @Excel(name = "分类",sort = 2, isRequired=true)
    @ApiModelProperty(value = "分类名称")
    private String classifyName;

    @Excel(name = "形态",sort = 3, isRequired=true)
    @ApiModelProperty(value = "化学品形态信息")
    private String chemicalShapeInfo;

//    @Excel(name = "标签类型",sort = 4, isRequired=true)
    @ApiModelProperty(value = "标签类型内容")
    private String labelContent;

    @Excel(name = "属性",sort = 5)
    @ApiModelProperty(value = "分类属性")
    private String classifyAttribute;

    @Excel(name = "cas号",sort = 6)
    @Length(message = "cas号长度不能超过50")
    @ApiModelProperty(value = "cas号")
    private String casNum;

    @Excel(name = "别名",sort = 7)
    @ApiModelProperty(value = "别名")
    private String anotherName;

    @Excel(name = "纯度",sort = 8)
    @ApiModelProperty(value = "纯度")
    private String purity;


    @Excel(name = "生产厂家",sort = 9)
    @ApiModelProperty(value = "生产厂家")
    private String factory;

    /**
     * 备注，用于记录错误的原因
     */
    @Excel(name = "备注" ,type = Excel.Type.EXPORT)
    private StringBuffer failRemark = new StringBuffer();

    /**
     * 是否更新数据
     */
    private Boolean upDate;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getChemicalShapeInfo() {
        return chemicalShapeInfo;
    }

    public void setChemicalShapeInfo(String chemicalShapeInfo) {
        this.chemicalShapeInfo = chemicalShapeInfo;
    }

    public String getLabelContent() {
        return labelContent;
    }

    public void setLabelContent(String labelContent) {
        this.labelContent = labelContent;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getPurity() {
        return purity;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public StringBuffer getFailRemark() {
        return failRemark;
    }

    public void setFailRemark(StringBuffer failRemark) {
        this.failRemark = failRemark;
    }

    public Boolean getUpDate() {
        return upDate;
    }

    public void setUpDate(Boolean upDate) {
        this.upDate = upDate;
    }
}
